on mouseUp
  global printer, gTblca_fe, gPropFont, gtemp
  puppetSound("mainsnd")
  if (the number of chars in line gtemp of field "orderfield" < 1) or (gtemp = 0) then
    alert("please select model number")
    abort()
  end if
  set doc to new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
  else
    cursor(4)
    setDocumentName(doc, "Colson CD Rom Catalog")
    setMargins(doc, rect(72, 30, 72, 48))
    set w to getPageWidth(doc)
    set h to getPageHeight(doc)
    setPageNumSymbol(doc, "Þ")
    setTextFont(doc, gPropFont)
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,italic")
    setTextJust(doc, "left")
    setTextStyle(doc, "normal,italic,bold")
    setTextSize(doc, 14)
    drawText(doc, "Colson CD-ROM Catalog -- Item Detail Report", point(0, 47))
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,italic,bold")
    setTextJust(doc, "right")
    drawText(doc, "printed" && the date, point(w, 47))
    setTextStyle(doc, "normal")
    drawLine(doc, point(0, 50), point(w, 50))
    drawText(doc, "Copyright 1998, Colson Caster Corporation, 800-643-5515, Fax: 800 356-6708", point(w - 70, h - 2))
    setTextJust(doc, "left")
    if item 1 of line gtemp of field "masterfield" contains "caster" then
      put item 1 of line gtemp of field "masterfield" into field "tempfield"
      put mSetCriteria(gTblca_fe, "DESCCA", "=", field "tempfield")
      put mSelect(gTblca_fe)
      put mSelectCount(gTblca_fe)
      drawPicture(doc, member item 14 of line gtemp of field "masterfield", point(0, 70))
      drawPicture(doc, member item 15 of line gtemp of field "masterfield", point(0, 295))
      newPage(doc)
      newFrame(doc, rect(0, 244, 120, 300), 0)
      append(doc, item 1 of line gtemp of field "masterfield", 1)
      newFrame(doc, rect(0, 470, 120, 500), 0)
      append(doc, item 7 of line gtemp of field "masterfield", 1)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      newFrame(doc, rect(150, 70, 460, h), 0)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Specifications" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Caster Type: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 1 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Model Number: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 2 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Mounting: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 3 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Diameter: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 4 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Tread Width: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 5 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Capacity per Caster: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 6 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Type: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 7 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Bearing: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 8 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Load Height: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 9 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Swivel Radius: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 10 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Fork Leg Spacing: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 11 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Approximate Weight: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 12 of line gtemp of field "masterfield" & RETURN, 1)
      setTextStyle(doc, "normal,bold")
      append(doc, "Options: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 13 of line gtemp of field "masterfield" & RETURN & RETURN, 1)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Features" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      append(doc, field "Tblca_Fe,FEATURE", 1)
    end if
    if item 1 of line gtemp of field "masterfield" contains "wheel" then
      drawPicture(doc, member item 14 of line gtemp of field "masterfield", point(0, 70))
      newPage(doc)
      newFrame(doc, rect(0, 244, 120, 300), 0)
      append(doc, item 1 of line gtemp of field "masterfield", 1)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      newFrame(doc, rect(150, 70, 460, h), 0)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Specifications" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Type: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 1 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Model Number: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 2 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Diameter: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 3 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Tread Width: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 4 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Capacity Per Wheel: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 5 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Bearing: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 6 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Bearing Bore: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 7 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Wheel Hub Length: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 8 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Spanner Bushing Bore: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 9 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Spanner Bushing Length: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 10 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Approx. Weight: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 11 of line gtemp of field "masterfield" & RETURN, 1)
    end if
    if item 1 of line gtemp of field "masterfield" contains "floor lock" then
      put item 1 of line gtemp of field "masterfield" into field "tempfield"
      put mSetCriteria(gTblca_fe, "DESCCA", "=", field "tempfield")
      put mSelect(gTblca_fe)
      put mSelectCount(gTblca_fe)
      drawPicture(doc, member item 14 of line gtemp of field "masterfield", point(0, 70))
      newPage(doc)
      newFrame(doc, rect(0, 244, 120, 300), 0)
      append(doc, item 1 of line gtemp of field "masterfield", 1)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      newFrame(doc, rect(150, 70, 460, h), 0)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Specifications" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Product: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 1 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Model Number: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 2 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Top Plate Size: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 3 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Extended Height: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 4 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Retracted Height: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 5 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Bolt Hole Spacing: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 6 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Bolt Hole Size: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 7 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Use With Caster Models: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 8 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Use With Caster Models: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 8 of line gtemp of field "masterfield" & RETURN & RETURN, 1)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Features" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      append(doc, field "Tblca_Fe,FEATURE", 1)
    end if
    if item 1 of line gtemp of field "masterfield" contains "Bumper" then
      put item 1 of line gtemp of field "masterfield" into field "tempfield"
      put mSetCriteria(gTblca_fe, "DESCCA", "=", field "tempfield")
      put mSelect(gTblca_fe)
      put mSelectCount(gTblca_fe)
      drawPicture(doc, member item 14 of line gtemp of field "masterfield", point(0, 70))
      newPage(doc)
      newFrame(doc, rect(0, 244, 120, 300), 0)
      append(doc, item 1 of line gtemp of field "masterfield", 1)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      newFrame(doc, rect(150, 70, 460, h), 0)
      setTextFont(doc, gPropFont)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Specifications" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Specifications: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 1 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Model Number: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 2 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Bumper Diameter: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 3 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Hole Diameter: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 4 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Thickness: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 5 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Mounting Holes: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 6 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Length: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 7 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Width: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 8 of line gtemp of field "masterfield" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal,bold")
      append(doc, "Inserts: ", 1)
      setTextStyle(doc, "normal")
      append(doc, item 9 of line gtemp of field "masterfield" & RETURN & RETURN & RETURN, 1)
      setTextSize(doc, 12)
      setTextStyle(doc, "normal,bold")
      append(doc, "Features" & RETURN, 1)
      setTextSize(doc, 10)
      setTextStyle(doc, "normal")
      append(doc, field "Tblca_Fe,FEATURE", 1)
    end if
  end if
  if doJobSetup(doc) then
    print(doc)
  end if
  cursor(-1)
end
