on mouseUp
  global gPropFont, gtemp
  set doc to new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
  else
    cursor(4)
    setDocumentName(doc, "Colson CD Rom Catalog")
    setMargins(doc, rect(72, 30, 72, 48))
    set w to getPageWidth(doc)
    set h to getPageHeight(doc)
    setPageNumSymbol(doc, "Þ")
    setTextFont(doc, gPropFont)
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,italic")
    setTextJust(doc, "left")
    setTextStyle(doc, "normal,italic,bold")
    setTextSize(doc, 14)
    drawText(doc, "Colson CD-ROM Catalog -- Dimensions", point(0, 47))
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,italic,bold")
    setTextJust(doc, "right")
    drawText(doc, "printed" && the date, point(w, 47))
    setTextStyle(doc, "normal")
    drawLine(doc, point(0, 50), point(w, 50))
    drawText(doc, "Copyright 1998, Colson Caster Corporation, 800-643-5515, Fax: 800 356-6708", point(w - 70, h - 2))
    setTextJust(doc, "left")
    drawPicture(doc, member field "maincastdimphoto", point(0, 260))
    newPage(doc)
    setTextFont(doc, gPropFont)
    setTextSize(doc, 10)
    setTextStyle(doc, "normal")
    newFrame(doc, rect(0, 55, 460, h - 40), 0)
    setTextFont(doc, gPropFont)
    setTextSize(doc, 12)
    setTextStyle(doc, "normal,bold")
    append(doc, "Specifications" & RETURN, 1)
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,bold")
    append(doc, "Caster Type: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,DESCRIP" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Model Number: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,CA_MOD" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Mounting: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "mainmounting" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Wheel Diameter: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,DIAMETER" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Tread Width: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,TR_WD" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Capacity per Caster: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,CAPACITY" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Wheel Type: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,WHEELDES" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Bearing: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,BEARING" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Load Height: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,LD_HT" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Swivel Radius: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,SWI_RAD" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Fork Leg Spacing: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,FORK_SPAC" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Approximate Weight: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "Tblcaste,WT" & RETURN, 1)
    setTextStyle(doc, "normal,bold")
    append(doc, "Options: ", 1)
    setTextStyle(doc, "normal")
    append(doc, field "mainop" & RETURN & RETURN, 1)
    setTextSize(doc, 10)
    setTextStyle(doc, "normal")
    if doJobSetup(doc) then
      print(doc)
    end if
    cursor(-1)
  end if
end
