on startMovie
  global gPS, gtblcaste, gtblWheel, gPropFont, gMonoFont, gTblca_fe, gDB, gtblOpDes, gtblWhDes, gtblOther
  register(xtra("PrintOMatic"), "PMAT155-040-83371")
  if the machineType = 256 then
    set gPropFont to "arial"
    set gMonoFont to "courier new"
    set gXObjFile to "pmatic.dll"
  else
    set gPropFont to "helvetica"
    set gMonoFont to "courier"
    set gXObjFile to "pmatic.xobj"
  end if
  if the machineType <> 256 then
    set gPS to ":"
  else
    set gPS to "\"
  end if
  set FileIOIsPresent to 0
  set n to the number of xtras
  repeat with i = 1 to n
    if the name of xtra(i) = "fileIO" then
      set FileIOIsPresent to 1
    end if
  end repeat
  if FileIOIsPresent = 0 then
    alert("The FileIO Xtra is not properly installed!")
    abort()
  end if
  set gTblca_fe to 0
  set gDB to 0
  set gDB to new(xtra("V12dbe"), the pathName & "colsondt.v12", "ReadOnly", "cow")
  set gtblcaste to new(xtra("V12table"), mGetRef(gDB), "tblcaste")
  set gtblWheel to new(xtra("V12table"), mGetRef(gDB), "tblwheel")
  set gtblOther to new(xtra("V12table"), mGetRef(gDB), "tblother")
  set gTblca_fe to new(xtra("V12table"), mGetRef(gDB), "tblca_fe")
  set gtblWhDes to new(xtra("V12table"), mGetRef(gDB), "tblWhDes")
  set gtblOpDes to new(xtra("V12table"), mGetRef(gDB), "tblOpDes")
  put mAutoBinding(gtblcaste, "Fields")
  put mAutoBinding(gtblWheel, "Fields")
  put mAutoBinding(gtblOther, "Fields")
  put mAutoBinding(gTblca_fe, "Fields")
  put mAutoBinding(gtblWhDes, "Fields")
  put mAutoBinding(gtblOpDes, "Fields")
  put EMPTY into field "sermodnum"
  put EMPTY into field "diamodnum"
  put EMPTY into field "mtmodnum"
  put EMPTY into field "whmodnum"
  put EMPTY into field "bemodnum"
  put EMPTY into field "whexmodnum"
  put EMPTY into field "modnum"
  set the visible of sprite 18 to 1
end

on stopMovie
end

on VBSEARCH
  global gDB, gtblOpDes, gtblWhDes, gtblcaste, gtblWheel, gTblca_fe, glinevar
  set the hilite of cast "Brick" to 0
  set the hilite of cast "Wood" to 0
  set the hilite of cast "Concrete" to 0
  set the hilite of cast "SmoothSteel" to 0
  set the hilite of cast "Linoleum" to 0
  set the hilite of cast "RibbedSteel" to 0
  set the hilite of cast "Asphalt" to 0
  set the hilite of cast "Tile" to 0
  set the hilite of cast "Carpet" to 0
  set the hilite of cast "Terrazzo" to 0
  set the hilite of cast "Water" to 0
  set the hilite of cast "Steam" to 0
  set the hilite of cast "MildChemicals" to 0
  set the hilite of cast "extremetemp" to 0
  set the hilite of cast "OilGrease" to 0
  set the hilite of cast "NoiseReduction" to 0
  set the hilite of cast "MetalChips" to 0
  set the hilite of cast "FloorProtection" to 0
  set the hilite of cast "AnimalFats" to 0
  set the hilite of cast "CushionLoad" to 0
  set the visible of sprite 34 to 1
  set the visible of sprite 35 to 1
  set the visible of sprite 36 to 1
  set the visible of sprite 37 to 1
  set the visible of sprite 38 to 1
  set the visible of sprite 39 to 1
  set the visible of sprite 40 to 1
  set the visible of sprite 41 to 1
  set the visible of sprite 42 to 1
  set the visible of sprite 43 to 1
  set the visible of sprite 44 to 1
  set the visible of sprite 45 to 1
  set the visible of sprite 46 to 1
  set the visible of sprite 47 to 1
  set the visible of sprite 48 to 1
  set the visible of sprite 49 to 1
  set the visible of sprite 50 to 1
  set the visible of sprite 51 to 1
  set the visible of sprite 52 to 1
  set the visible of sprite 53 to 1
  set the visible of sprite 54 to 1
  set the visible of sprite 55 to 1
  set the visible of sprite 56 to 1
  set the visible of sprite 57 to 1
  set the visible of sprite 58 to 1
  set the visible of sprite 59 to 1
  set the visible of sprite 60 to 1
  set the visible of sprite 61 to 1
  set the visible of sprite 62 to 1
  set the visible of sprite 63 to 1
  set the visible of sprite 64 to 1
  set the visible of sprite 65 to 1
  set the visible of sprite 66 to 1
  set the visible of sprite 67 to 1
  set the visible of sprite 68 to 1
  set the visible of sprite 69 to 1
  set the visible of sprite 70 to 1
  set the visible of sprite 71 to 1
  set the visible of sprite 72 to 1
  set the visible of sprite 73 to 1
  set the visible of sprite 74 to 1
  set the visible of sprite 75 to 1
  set the hilite of cast "b_tg1" to 0
  set the hilite of cast "b_tg2" to 0
  set the hilite of cast "b_brk3" to 0
  set the hilite of cast "b_fsi" to 0
  set the hilite of cast "b_DC1" to 0
  set the hilite of cast "b_SEAL" to 0
  set the hilite of cast "b_BRK2" to 0
  set the hilite of cast "b_BRK4" to 0
  set the hilite of cast "b_BRK6" to 0
  set the hilite of cast "b_BRK1" to 0
  set the hilite of cast "b_BRK1b" to 0
  set the hilite of cast "b_AX1" to 0
  set the hilite of cast "b_AX2" to 0
  set the hilite of cast "b_NT1" to 0
  set the hilite of cast "b_lpbrake" to 0
  set the hilite of cast "b_wb29" to 0
  set the hilite of cast "b_wb19" to 0
  set the hilite of cast "b_NT2" to 0
  set the hilite of cast "b_grf1" to 0
  set the hilite of cast "b_grf2" to 0
  set the hilite of cast "b_grf3" to 0
  set the hilite of cast "b_grw1" to 0
  set the hilite of cast "b_grw2" to 0
  set the hilite of cast "b_grw3" to 0
  set the hilite of cast "b_brk1b" to 0
  set the hilite of cast "b_mtg51" to 0
  set the hilite of cast "b_mtg61" to 0
  set the hilite of cast "b_mtg62" to 0
  set the hilite of cast "b_mtg63" to 0
  set the hilite of cast "b_mtg64" to 0
  set the hilite of cast "b_HeatTreated" to 0
  set the hilite of cast "b_wb2" to 0
  set the hilite of cast "b_wb01" to 0
  set the hilite of cast "b_wb01b" to 0
  set the hilite of cast "b_wsr1" to 0
  set the hilite of cast "b_wsr2" to 0
  set the hilite of cast "b_wsr3" to 0
  put field "sermodnum" into field "modnum"
  put field "diamodnum" after field "modnum"
  put field "mtmodnum" after field "modnum"
  put field "whmodnum" after field "modnum"
  put field "bemodnum" after field "modnum"
  put field "comodnum" after field "modnum"
  put field "whexmodnum" after field "modnum"
  put field "modnum"
  if (chars(field "modnum", 1, 2) = "69") or (chars(field "modnum", 1, 2) = "66") then
    OTHERHAND()
    abort()
  end if
  if chars(field "modnum", 1, 1) = "9" then
    OTHERHAND()
    abort()
  end if
  put mSetCriteria(gtblcaste, "CA_MOD", "=", field "modnum")
  put mSelect(gtblcaste)
  put mSelectCount(gtblcaste)
  put mSetCriteria(gtblWheel, "WH_MOD", "=", field "Tblcaste,WH_MOD")
  put mSelect(gtblWheel)
  set wtester to mSelectCount(gtblWheel)
  put mSetCriteria(gTblca_fe, "DESCCA", "=", field "Tblcaste,DESCRIP")
  put mSelect(gTblca_fe)
  put field "Tblcaste,CASTER_PIC" into field "maincasterphoto"
  put field "Tblcaste,DIM_PIC" into field "maincastdimphoto"
  put field "Tblcaste,STEM" into field "mainmounting"
  put field "Tblcaste,DESCRIP" into field "casterdeshead"
  put chars(field "modnum", 1, 2)
  if chars(field "modnum", 1, 2) = "32" then
    play frame "speca"
    abort()
  end if
  if char 1 of field "Tblcaste,CA_MOD" = "1" then
    if field "Tblcaste,STEM" contains "Expanding" then
      play frame "1exadmt"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Square" then
      play frame "1square"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Thread" then
      set temp to field "Tblcaste,CAPACITY"
      if temp < 100 then
        play frame "1thread"
        abort()
      end if
    end if
    if field "Tblcaste,STEM" contains "Grip" then
      set temp to field "Tblcaste,CAPACITY"
      if temp < 100 then
        play frame "1grip75"
        abort()
      else
        play frame "1grip145"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG2" then
      if field "tblcaste,DIAMETER" = "5" then
        if field "tblcaste,WHEELDES" contains "Performa" then
          play frame "1optiond"
          abort()
        end if
      else
        play frame "1optionb"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG1" then
      play frame "1optionc"
      abort()
    end if
    if field "tblcaste,BRK_OP" contains "BRK3" then
      play frame "1optione"
      abort()
    end if
    play frame "1optiona"
    abort()
  end if
  if char 1 of field "Tblcaste,CA_MOD" contains "2" then
    if (field "mtmodnum" contains "02") or (field "mtmodnum" contains "04") then
      play frame "specb"
      abort()
    end if
  end if
  if char 1 of field "Tblcaste,CA_MOD" contains "2" then
    if field "Tblcaste,DESCRIP" contains "Stainless" then
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2soptiona"
        abort()
      else
        play frame "2soptionb"
        abort()
      end if
    end if
    if field "Tblcaste,DESCRIP" contains "LoPro Swivel" then
      if field "tblcaste,DIAMETER" = 3 then
        if field "tblcaste,BRK_OP" contains "brake" then
          play frame "2soptionc"
          abort()
        else
          play frame "speca"
          abort()
        end if
      else
        play frame "speca"
        abort()
      end if
    end if
    if field "Tblcaste,DESCRIP" contains "LoPro Rigid" then
      play frame "speca"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Expanding" then
      play frame "2exadmt"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Grip" then
      play frame "2gripmt"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Straight" then
      play frame "2threadmt"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Square" then
      play frame "2sqrmt"
      abort()
    end if
    if field "Tblcaste,STEM" contains "Plate" then
      if field "Tblcaste,STEM" contains "Swivel" then
        play frame "2swimt"
        abort()
      end if
    end if
    if field "tblcaste,BRK_OP" contains "BRK6" then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optiona"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionb"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2optionc"
        abort()
      end if
      play frame "2optiond"
      abort()
    end if
    if field "tblcaste,BRK_OP" contains "BRK4" then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optione"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionf"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2optiong"
        abort()
      end if
      play frame "2optionh"
      abort()
    end if
    if field "tblcaste,BRK_OP" contains "BRK2" then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optioni"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionj"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2optionk"
        abort()
      end if
      play frame "2optionl"
      abort()
    end if
    if field "tblcaste,BRK_OP" contains "BRK1" then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optionm"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionn"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2optiono"
        abort()
      end if
      play frame "2optionp"
      abort()
    end if
    if field "tblcaste,OTHER_OP" contains "DC1" then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optionq"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionr"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2options"
        abort()
      end if
      play frame "2optiont"
      abort()
    end if
    if not (field "tblcaste,OTHER_OP" = "DC1") then
      if (field "tblwheel,TG_OP" contains "TG1") and (field "tblwheel,TG_OP" contains "TG2") then
        play frame "2optionu"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "2optionv"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "2optionw"
        abort()
      end if
      play frame "2optionx"
      abort()
    end if
  end if
  if char 1 of field "Tblcaste,CA_MOD" = "3" then
    if (field "mtmodnum" contains "07") or (field "mtmodnum" contains "09") then
      play frame "cargocop"
      abort()
    end if
  end if
  if char 1 of field "Tblcaste,CA_MOD" = 3 then
    if field "tblcaste,MT_OP" contains "MTG7" then
      play frame "3stem"
      abort()
    end if
    if field "tblcaste,BRK_OP" contains "BRK1" then
      if field "tblwheel,TG_OP" contains "TG1" then
        play frame "3optiona"
        abort()
      else
        play frame "3optionb"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG1" then
      play frame "3optionc"
      abort()
    else
      play frame "3optiond"
      abort()
    end if
  end if
  if char 1 of field "Tblcaste,CA_MOD" = "4" then
    if field "casterdeshead" contains "pneumatic" then
      play frame "speca"
      abort()
    end if
    if field "casterdeshead" contains "1-1/2" then
      play frame "4amt"
      abort()
    end if
    if field "casterdeshead" contains "2" then
      play frame "4bmt"
      abort()
    end if
    if field "casterdeshead" contains "IMPAK" then
      play frame "4bmt"
      abort()
    end if
  end if
  if (char 1 of field "Tblcaste,CA_MOD" = "5") or (char 1 of field "Tblcaste,CA_MOD" = "6") then
    if field "tblcaste,BRK_OP" contains "BRK1" then
      if field "tblwheel,TG_OP" contains "TG1" then
        if field "tblwheel,TG_OP" contains "TG2" then
          play frame "5optiona"
          abort()
        else
          play frame "5optionb"
          abort()
        end if
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "5optionc"
        abort()
      else
        play frame "5optiond"
        abort()
      end if
    end if
    if field "tblcaste,OTHER_OP" contains "MTG51" then
      if field "tblwheel,TG_OP" contains "TG1" then
        if field "tblwheel,TG_OP" contains "TG2" then
          play frame "5optione"
          abort()
        else
          play frame "5optionf"
          abort()
        end if
        if field "tblwheel,TG_OP" contains "TG2" then
          play frame "5optiong"
          abort()
        else
          play frame "5optionh"
          abort()
        end if
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG1" then
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "5optioni"
        abort()
      else
        play frame "5optionj"
        abort()
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "5optionl"
        abort()
      else
        play frame "5optionl"
        abort()
      end if
    end if
    play frame "5optionl"
    abort()
  end if
  if char 1 of field "Tblcaste,CA_MOD" = 7 then
    if chars(field "Tblcaste,CA_MOD", 6, 6) contains "7" then
      play frame "7impakmt"
      abort()
    end if
    if field "Tblcaste,OTHER_OP" contains "MTG51" then
      play frame "7boptiona"
      abort()
    end if
    if chars(field "Tblcaste,CA_MOD", 7, 7) contains "9" then
      play frame "7aoptiona"
      abort()
    else
      play frame "7aoptionb"
    end if
  end if
  if char 1 of field "Tblcaste,CA_MOD" = 8 then
    play frame "7impakmt"
    abort()
  end if
end

on OPDESFIND
  global gtblOpDes
  put mSetCriteria(gtblOpDes, "Code", "=", field "f_desfind")
  put mSetCriteria(gtblOpDes, "and", "SERIES", "=", field "f_serfind")
  put mSelect(gtblOpDes)
  put mSelectCount(gtblOpDes)
end

on WHEELDESFIND
  global gtblWhDes
  put mSetCriteria(gtblWhDes, "WHDES", "=", field "f_desfind")
  put mSetCriteria(gtblWhDes, "and", "WHSERIES", "=", field "f_serfind")
  put mSelect(gtblWhDes)
  put mSelectCount(gtblWhDes)
end

on whichkey
  if (the key = RETURN) or ENTER then
    dontPassEvent()
  end if
end

on whichkey2
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    finder()
  end if
end

on whichkey3
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    quanthand()
  end if
end

on whichkey4
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    licensehand()
  end if
end

on whichkey5
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    nameEnterInfo()
  end if
end

on whichkey6
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    bumperlengtha()
  end if
end

on whichkey7
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    bumperlengthb()
  end if
end

on whichkey8
  if (the key = RETURN) or (the key = ENTER) then
    dontPassEvent()
    bumperlengthc()
  end if
end

on quanthand
  if integerp(value(field "qt")) = 0 then
    alert("Please enter a number")
    put EMPTY into field "qt"
    abort()
  end if
  if the number of chars in field "qt" < 1 then
    alert("You must enter a quantity")
    abort()
  end if
  repeat with i = 1 to length(field "qt")
    if char i of field "qt" = " " then
      delete char i of field "qt"
    end if
    if char i of field "qt" = "," then
      delete char i of field "qt"
    end if
  end repeat
  if length(field "qt") = 5 then
    put " " before field "qt"
  end if
  if length(field "qt") = 4 then
    put "  " before field "qt"
  end if
  if length(field "qt") = 3 then
    put "   " before field "qt"
  end if
  if length(field "qt") = 2 then
    put "    " before field "qt"
  end if
  if length(field "qt") = 1 then
    put "     " before field "qt"
  end if
  put field "qt" into item 16 of field "tempfield"
  put field "tempfield" & RETURN after field "masterfield"
  put EMPTY into field "tempfield"
  put EMPTY into field "orderfield"
  put EMPTY into field "detail"
  repeat with i = 1 to the number of lines in field "masterfield"
    if the number of chars in line i of field "masterfield" < 2 then
      exit repeat
    end if
    put item 16 of line i of field "masterfield" & "   " after field "orderfield"
    put item 2 of line i of field "masterfield" & " " after field "orderfield"
    put item 1 of line i of field "masterfield" & RETURN after field "orderfield"
    set the textStyle of field "orderfield" to "Plain"
    set the textFont of field "orderfield" to "Courier New"
    set the textSize of field "orderfield" to 12
  end repeat
  set the keyDownScript to "whichkey"
  set the puppet of sprite 9 to 0
  go("orderarea")
end

on bumperlengtha
  if integerp(value(field "ln")) = 0 then
    alert("Please enter a number between 1 to 20")
    put EMPTY into field "ln"
    abort()
  end if
  if the number of chars in field "ln" < 1 then
    alert("You must enter a quantity")
    abort()
  end if
  if (field "ln" < 1) or (field "ln" > 20) then
    alert("Please enter a number between 1 to 20")
    put EMPTY into field "ln"
    abort()
  end if
  put field "ln" into field "tblother,LNL_BSIZE"
  play frame "specbu"
end

on bumperlengthb
  if integerp(value(field "ln")) = 0 then
    alert("Please enter a number between 1 to 16")
    put EMPTY into field "ln"
    abort()
  end if
  if the number of chars in field "ln" < 1 then
    alert("You must enter a quantity")
    abort()
  end if
  if (field "ln" < 1) or (field "ln" > 16) then
    alert("Please enter a number between 1 to 16")
    put EMPTY into field "ln"
    abort()
  end if
  put field "ln" into field "tblother,LNL_BSIZE"
  play frame "specbu"
end

on bumperlengthc
  if integerp(value(field "ln")) = 0 then
    alert("Please enter a number between 1 to 50")
    put EMPTY into field "ln"
    abort()
  end if
  if the number of chars in field "ln" < 1 then
    alert("You must enter a quantity")
    abort()
  end if
  if (field "ln" < 1) or (field "ln" > 50) then
    alert("Please enter a number between 1 to 50")
    put EMPTY into field "ln"
    abort()
  end if
  put field "ln" into field "tblother,LNL_BSIZE"
  play frame "specbu"
end

on nameEnterInfo
  if the number of chars in field "name" < 2 then
    alert("You Must Enter Name and Phone Number")
    abort()
  end if
  if the number of chars in field "phone" < 2 then
    alert("You Must Enter Name and Phone Number")
    abort()
  end if
  set theText to field "masterfield"
  if objectp(myFile) then
    set myFile to 0
  end if
  set myFile to new(xtra("fileio"))
  if the moviePath = EMPTY then
    alert("Problem with application, Reinstall")
  else
    put displaySave(myFile, "Save Quote", "Untitled") into field "orderfile"
    createFile(myFile, field "orderfile")
    openFile(myFile, field "orderfile", 0)
    put writeString(myFile, theText)
    fileName(myFile)
    closeFile(myFile)
    set myFile to 0
  end if
  put "From:" & RETURN into field "customer"
  put field "name" & ", " after field "customer"
  put field "title" & RETURN after field "customer"
  put field "company" & RETURN after field "customer"
  put field "address" & RETURN after field "customer"
  put field "city" & ", " after field "customer"
  put field "state" & "  " after field "customer"
  put field "zip" & RETURN after field "customer"
  put field "phone" & RETURN after field "customer"
  put "Fax: " after field "customer"
  put field "fax" & RETURN after field "customer"
  put "Local Distributor: " after field "customer"
  put field "distributor" & RETURN after field "customer"
  printscript()
  put field "name" & RETURN into field "customera"
  put field "title" & RETURN after field "customera"
  put field "company" & RETURN after field "customera"
  put field "address" & RETURN after field "customera"
  put field "city" & RETURN after field "customera"
  put field "state" & RETURN after field "customera"
  put field "zip" & RETURN after field "customera"
  put field "phone" & RETURN after field "customera"
  put field "fax" & RETURN after field "customera"
  put field "distributor" & RETURN after field "customera"
  if objectp(myFile) then
    set myFile to 0
  end if
  set theFile to the text of field "customera"
  set myFile to new(xtra("fileio"))
  set fileName to getOSDirectory() & "\colsonid"
  createFile(myFile, fileName)
  openFile(myFile, fileName, 0)
  writeString(myFile, theFile)
  closeFile(myFile)
  set myFile to 0
  go(the frame - 1)
end

on OTHERHAND
  global gtblOther
  put mSetCriteria(gtblOther, "MODELOT", "=", field "modnum")
  put mSelect(gtblOther)
  put mSelectCount(gtblOther)
  put mSetCriteria(gTblca_fe, "DESCCA", "=", field "tblOther,DESCOTH")
  put mSelect(gTblca_fe)
  put field "Tblca_Fe,FEATURE" into field "specflfield"
  put field "tblother,PIC_PIC" into field "maincasterphoto"
  put field "tblother,AR" into field "maincastdimphoto"
  put field "tblother,DESCOTH" into field "casterdeshead"
  if field "tblother,MODELOT" contains "9.0" then
    play frame "specfl"
    abort()
  end if
  if (field "tblother,MODELOT" = "9.6930") or (field "tblother,MODELOT" = "9.6914") then
    play frame "specbulna"
    abort()
  end if
  if field "tblother,MODELOT" = "9.6913" then
    play frame "specbulnb"
    abort()
  end if
  if field "tblother,MODELOT" contains "66" then
    play frame "specbulnc"
    abort()
  end if
  if field "tblother,MODELOT" contains "69" then
    play frame "specbu"
    abort()
  end if
end

on WHEELVIEW
  global gtblWheel, glinevar
  put word 5 of line glinevar of field "mainwheel" into field "wheelmodnum"
  put mSetCriteria(gtblWheel, "WH_MOD", "=", field "wheelmodnum")
  put mSelect(gtblWheel)
  put mSelectCount(gtblWheel)
end

on WHEELOPHAND
  global gtblWheel, glinevar
  set the hilite of cast "b_tg1" to 0
  set the hilite of cast "b_tg2" to 0
  set the hilite of cast "b_wb01" to 0
  set the hilite of cast "b_wb01b" to 0
  set the hilite of cast "b_wb625" to 0
  set the hilite of cast "b_wb750" to 0
  set the hilite of cast "b_wb11" to 0
  set the hilite of cast "b_wb11b" to 0
  set the hilite of cast "b_wsr3" to 0
  set the hilite of cast "b_wb09" to 0
  set the hilite of cast "b_wb09b" to 0
  put word 5 of line glinevar of field "mainwheel" into field "wheelmodnum"
  put mSetCriteria(gtblWheel, "WH_MOD", "=", field "wheelmodnum")
  put mSelect(gtblWheel)
  put mSelectCount(gtblWheel)
  put field "tblwheel,DESC" into field "casterdeshead"
  put field "tblwheel,W_PHOTO" into field "maincasterphoto"
  if field "tblwheel,BEAR_OP" contains "WB625" then
    play frame "woptione"
    abort()
  end if
  if field "tblwheel,BEAR_OP" contains "WB11" then
    if field "tblwheel,TG_OP" contains "TG1" then
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "woptionf"
        abort()
      else
        play frame "woptiong"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG2" then
      play frame "woptionh"
      abort()
    else
      play frame "woptioni"
      abort()
    end if
  end if
  if (field "tblwheel,WASHER_OP" contains "WSR3") and (char 1 of field "wheelmodnum" = "7") then
    if field "tblwheel,BEAR_OP" contains "WB09" then
      if field "tblwheel,TG_OP" contains "TG1" then
        if field "tblwheel,TG_OP" contains "TG2" then
          play frame "woptionj"
          abort()
        else
          play frame "woptionk"
          abort()
        end if
      end if
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "woptionl"
        abort()
      else
        play frame "woptionm"
        abort()
      end if
    end if
  end if
  if field "tblwheel,BEAR_OP" contains "WB09" then
    if field "tblwheel,TG_OP" contains "TG1" then
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "woptionn"
        abort()
      else
        play frame "woptiono"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG2" then
      play frame "woptionp"
      abort()
    else
      play frame "woptionq"
      abort()
    end if
  end if
  if field "tblwheel,BEAR_OP" contains "WB01" then
    if field "tblwheel,TG_OP" contains "TG1" then
      if field "tblwheel,TG_OP" contains "TG2" then
        play frame "woptiona"
        abort()
      else
        play frame "woptionb"
        abort()
      end if
    end if
    if field "tblwheel,TG_OP" contains "TG2" then
      play frame "woptionc"
      abort()
    else
      play frame "woptiond"
      abort()
    end if
  end if
  if field "tblwheel,TG_OP" contains "TG1" then
    if field "tblwheel,TG_OP" contains "TG2" then
      play frame "woptionr"
      abort()
    else
      play frame "woptions"
      abort()
    end if
  end if
  if field "tblwheel,TG_OP" contains "TG2" then
    play frame "woptiont"
    abort()
  end if
  puppetSound("foundspec")
  play frame "specwheel"
  abort()
end

on licensehand
  if integerp(value(field "distphoneenter")) = 0 then
    alert("Please enter a 5-digit number")
    put EMPTY into field "distphoneenter"
    abort()
  end if
  put the number of chars in field "distphoneenter"
  if the number of chars in field "distphoneenter" = 5 then
    set tester to field "distphoneenter"
    set aa to the number of lines in field "distphonedb"
    repeat with counter = 1 to aa
      if item 1 of line counter of field "distphonedb" = tester then
        put item 2 of line counter of field "distphonedb" & RETURN into field "spec"
        put item 3 of line counter of field "distphonedb" after field "spec"
        put item 2 of line counter of field "distphonedb" into field "distributor"
        if objectp(myFile) then
          set myFile to 0
        end if
        set theFile to the text of field "distphoneenter"
        set myFile to new(xtra("fileio"))
        set fileName to getOSDirectory() & "\col93"
        createFile(myFile, fileName)
        openFile(myFile, fileName, 0)
        writeString(myFile, theFile)
        closeFile(myFile)
        set myFile to 0
        go("home")
        exit repeat
      end if
    end repeat
  else
    alert("You must enter a 5-digit number located on the Colson CD-ROM cover")
    put EMPTY into field "distphoneenter"
    abort()
  end if
end
