on printscript
  global printer, gPropFont
  put EMPTY into field "printfield"
  set doc to new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
  else
    cursor(4)
    repeat with i = 1 to the number of lines in field "masterfield"
      if the number of chars in line i of field "masterfield" < 2 then
        exit repeat
      end if
      put "_______________________________" & RETURN after field "printfield"
      put "Quote Item: " & i & RETURN after field "printfield"
      put "Quantity: " & item 16 of line i of field "masterfield" & RETURN after field "printfield"
      if item 1 of line i of field "masterfield" contains "caster" then
        put "Caster Type: " & item 1 of line i of field "masterfield" & RETURN after field "printfield"
        put "Model Number " & item 2 of line i of field "masterfield" & RETURN after field "printfield"
        put "Mounting: " & item 3 of line i of field "masterfield" & RETURN after field "printfield"
        put "Wheel Diameter: " & item 4 of line i of field "masterfield" & RETURN after field "printfield"
        put "Tread Width: " & item 5 of line i of field "masterfield" & RETURN after field "printfield"
        put "Capacity Per Caster: " & item 6 of line i of field "masterfield" & RETURN after field "printfield"
        put "Wheel Type: " & item 7 of line i of field "masterfield" & RETURN after field "printfield"
        put "Bearing: " & item 8 of line i of field "masterfield" & RETURN after field "printfield"
        put "Load Height: " & item 9 of line i of field "masterfield" & RETURN after field "printfield"
        put "Swivel Radius: " & item 10 of line i of field "masterfield" & RETURN after field "printfield"
        put "Fork Leg Spacing: " & item 11 of line i of field "masterfield" & RETURN after field "printfield"
        put "Approximate Weight: " & item 12 of line i of field "masterfield" & RETURN after field "printfield"
        put "Options: " & item 13 of line i of field "masterfield" & RETURN after field "printfield"
        put "_______________________________" & RETURN after field "printfield"
      end if
      if item 1 of line i of field "masterfield" contains "wheel" then
        put "Wheel Type: " & item 1 of line i of field "masterfield" & RETURN after field "printfield"
        put "Model Number " & item 2 of line i of field "masterfield" & RETURN after field "printfield"
        put "Wheel Diameter: " & item 3 of line i of field "masterfield" & RETURN after field "printfield"
        put "Tread Width: " & item 4 of line i of field "masterfield" & RETURN after field "printfield"
        put "Capacity Per Caster: " & item 5 of line i of field "masterfield" & RETURN after field "printfield"
        put "Bearing: " & item 6 of line i of field "masterfield" & RETURN after field "printfield"
        put "Wheel Bearing Bore: " & item 7 of line i of field "masterfield" & RETURN after field "printfield"
        put "Wheel Hub Length: " & item 8 of line i of field "masterfield" & RETURN after field "printfield"
        put "Spanner Bushing Bore: " & item 9 of line i of field "masterfield" & RETURN after field "printfield"
        put "Spanner Bushing Length: " & item 10 of line i of field "masterfield" & RETURN after field "printfield"
        put "Approx. Weight: " & item 11 of line i of field "masterfield" & RETURN after field "printfield"
        put "Options: " & item 13 of line i of field "masterfield" & RETURN after field "printfield"
        put "_______________________________" & RETURN after field "printfield"
      end if
      if item 1 of line i of field "masterfield" contains "floor lock" then
        put "Product: " & item 1 of line i of field "masterfield" & RETURN after field "printfield"
        put "Model Number " & item 2 of line i of field "masterfield" & RETURN after field "printfield"
        put "Top Plate Size: " & item 3 of line i of field "masterfield" & RETURN after field "printfield"
        put "Extended Height: " & item 4 of line i of field "masterfield" & RETURN after field "printfield"
        put "Retracted Height: " & item 5 of line i of field "masterfield" & RETURN after field "printfield"
        put "Bolt Hole Spacing: " & item 6 of line i of field "masterfield" & RETURN after field "printfield"
        put "Bolt Hole Size: " & item 7 of line i of field "masterfield" & RETURN after field "printfield"
        put "Weight: " & item 8 of line i of field "masterfield" & RETURN after field "printfield"
        put "Used with Caster Models: " & item 9 of line i of field "masterfield" & RETURN after field "printfield"
        put "_______________________________" & RETURN after field "printfield"
      end if
      if item 1 of line i of field "masterfield" contains "bumper" then
        put "Product Type: " & item 1 of line i of field "masterfield" & RETURN after field "printfield"
        put "Model Number " & item 2 of line i of field "masterfield" & RETURN after field "printfield"
        put "Bumper Diameter: " & item 3 of line i of field "masterfield" & RETURN after field "printfield"
        put "Hole Diameter: " & item 4 of line i of field "masterfield" & RETURN after field "printfield"
        put "Thickness: " & item 5 of line i of field "masterfield" & RETURN after field "printfield"
        put "Mounting Holes: " & item 6 of line i of field "masterfield" & RETURN after field "printfield"
        put "Length: " & item 7 of line i of field "masterfield" & RETURN after field "printfield"
        put "Width: " & item 8 of line i of field "masterfield" & RETURN after field "printfield"
        put "Inserts: " & item 9 of line i of field "masterfield" & RETURN after field "printfield"
        put "_______________________________" & RETURN after field "printfield"
      end if
    end repeat
    setDocumentName(doc, "Colson CD-ROM Quote List")
    setMargins(doc, rect(72, 60, 72, 43))
    set w to getPageWidth(doc)
    set h to getPageHeight(doc)
    setPageNumSymbol(doc, "Þ")
    setTextFont(doc, gPropFont)
    setTextSize(doc, 14)
    setTextStyle(doc, "normal, italic, bold")
    setTextJust(doc, "left")
    drawText(doc, "Colson CD-ROM Product Quote List", point(0, 8))
    setTextSize(doc, 9)
    setTextStyle(doc, "normal")
    newFrame(doc, rect(280, 0, 410, 16), 0)
    set the itemDelimiter to "\"
    put the last item in field "orderfile" into field "orderfile"
    set the itemDelimiter to ","
    append(doc, the last item in field "orderfile", 0)
    setTextJust(doc, "right")
    setTextSize(doc, 9)
    setTextStyle(doc, "normal,italic")
    drawText(doc, "printed" && the date, point(w, 8))
    drawLine(doc, point(0, 12), point(2, 12))
    setTextJust(doc, "left")
    setTextStyle(doc, "normal, italic, bold")
    drawText(doc, "Fax this form to Colson at 1-800-356-6708", point(0, 25))
    drawText(doc, "You will receive a quote from your Colson Distributor as soon as possible", point(0, 34))
    setTextStyle(doc, "normal,bold")
    newFrame(doc, rect(0, 45, 210, 110), 0)
    append(doc, "To:" & RETURN & "Colson Caster Corporation" & RETURN & "3700 Airport Road" & RETURN & "Jonesboro, AR 72401" & RETURN & "Phone: 800-643-5515" & RETURN & "Fax: 800-356-6708", 0)
    newFrame(doc, rect(220, 45, 490, 200), 0)
    append(doc, field "customer", 0)
    setTextJust(doc, "right")
    setTextSize(doc, 10)
    setTextStyle(doc, "normal,italic")
    drawText(doc, "Page Þ", point(2, h))
    setTextJust(doc, "left")
    newPage(doc)
    setTextFont(doc, gPropFont)
    setTextSize(doc, 9)
    setTextStyle(doc, "normal")
    newFrame(doc, rect(0, 150, 210, h), 0)
    newFrame(doc, rect(250, 150, 460, h), 1)
    setTextFont(doc, gPropFont)
    append(doc, field "printfield")
    if doJobSetup(doc) then
      print(doc)
    end if
    cursor(-1)
  end if
end
